%define release %mkrel 11

Summary: A decimal, hexadecimal, octal and binary calculator
Name: hexcalc
Version: 1.11
Release: %release
License: GPL like
Group: Sciences/Mathematics
Source: ftp://ftp.x.org/R5contrib/hexcalc.tar.bz2
Source1: %name-16.png
Source2: %name-32.png
Source3: %name-48.png
Buildroot: %_tmppath/%name-buildroot
BuildRequires: X11-devel

%description
Hexcalc is a simple multi-radix calculator for programmers. The
calculator operates in four modes (decimal, hexadecimal, octal and
binary).

%prep
%setup -q -n %name

%build
xmkmf
%make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_mandir/man1

install -c -s hexcalc $RPM_BUILD_ROOT%_bindir
install -c hexcalc.man $RPM_BUILD_ROOT%_mandir/man1/hexcalc.1x

# Menu stuff
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

install -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png

cat > %buildroot%_menudir/%name <<EOF
?package(%{name}):\
        command="%{_bindir}/%{name}"\
        title="Hexcalc"\
        longtitle="Hexadecimal calculator"\
        needs="x11"\
        section="More Applications/Sciences/Mathematics"\
        icon="%{name}.png"
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%_bindir/hexcalc
%_mandir/*/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%changelog
* Fri Apr 08 2005 Olivier Thauvin <nanardon@mandrake.org> 1.11-11mdk
- fix buildrequires for 64 bits

* Fri Feb 04 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.11-9mdk
- birthday release

* Fri Jan 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.11-8mdk
- 1st mdk package
 
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- fixed so that man pages compress through RPM

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
= built package for 6.0

* Thu Oct 08 1998 Michael Maher <mike@redhat.com>
- rebuilt package for 5.2 

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- updated package
- updated spec file
- added buildroot

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig entry

